<?php
namespace AwsWPTC\ApiGatewayV2;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **AmazonApiGatewayV2** service.
 * @method \AwsWPTC\Result createApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createApiAsync(array $args = [])
 * @method \AwsWPTC\Result createApiMapping(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createApiMappingAsync(array $args = [])
 * @method \AwsWPTC\Result createAuthorizer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createAuthorizerAsync(array $args = [])
 * @method \AwsWPTC\Result createDeployment(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDeploymentAsync(array $args = [])
 * @method \AwsWPTC\Result createDomainName(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDomainNameAsync(array $args = [])
 * @method \AwsWPTC\Result createIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result createIntegrationResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createIntegrationResponseAsync(array $args = [])
 * @method \AwsWPTC\Result createModel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createModelAsync(array $args = [])
 * @method \AwsWPTC\Result createRoute(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createRouteAsync(array $args = [])
 * @method \AwsWPTC\Result createRouteResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createRouteResponseAsync(array $args = [])
 * @method \AwsWPTC\Result createStage(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createStageAsync(array $args = [])
 * @method \AwsWPTC\Result createVpcLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createVpcLinkAsync(array $args = [])
 * @method \AwsWPTC\Result deleteAccessLogSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteAccessLogSettingsAsync(array $args = [])
 * @method \AwsWPTC\Result deleteApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteApiAsync(array $args = [])
 * @method \AwsWPTC\Result deleteApiMapping(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteApiMappingAsync(array $args = [])
 * @method \AwsWPTC\Result deleteAuthorizer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteAuthorizerAsync(array $args = [])
 * @method \AwsWPTC\Result deleteCorsConfiguration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteCorsConfigurationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDeployment(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDeploymentAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDomainName(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDomainNameAsync(array $args = [])
 * @method \AwsWPTC\Result deleteIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteIntegrationResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteIntegrationResponseAsync(array $args = [])
 * @method \AwsWPTC\Result deleteModel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteModelAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRoute(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRouteAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRouteRequestParameter(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRouteRequestParameterAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRouteResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRouteResponseAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRouteSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRouteSettingsAsync(array $args = [])
 * @method \AwsWPTC\Result deleteStage(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteStageAsync(array $args = [])
 * @method \AwsWPTC\Result deleteVpcLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteVpcLinkAsync(array $args = [])
 * @method \AwsWPTC\Result exportApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise exportApiAsync(array $args = [])
 * @method \AwsWPTC\Result resetAuthorizersCache(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise resetAuthorizersCacheAsync(array $args = [])
 * @method \AwsWPTC\Result getApiResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getApiResourceAsync(array $args = [])
 * @method \AwsWPTC\Result getApiMapping(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getApiMappingAsync(array $args = [])
 * @method \AwsWPTC\Result getApiMappings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getApiMappingsAsync(array $args = [])
 * @method \AwsWPTC\Result getApis(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getApisAsync(array $args = [])
 * @method \AwsWPTC\Result getAuthorizer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAuthorizerAsync(array $args = [])
 * @method \AwsWPTC\Result getAuthorizers(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAuthorizersAsync(array $args = [])
 * @method \AwsWPTC\Result getDeployment(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDeploymentAsync(array $args = [])
 * @method \AwsWPTC\Result getDeployments(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDeploymentsAsync(array $args = [])
 * @method \AwsWPTC\Result getDomainName(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDomainNameAsync(array $args = [])
 * @method \AwsWPTC\Result getDomainNames(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDomainNamesAsync(array $args = [])
 * @method \AwsWPTC\Result getIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result getIntegrationResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getIntegrationResponseAsync(array $args = [])
 * @method \AwsWPTC\Result getIntegrationResponses(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getIntegrationResponsesAsync(array $args = [])
 * @method \AwsWPTC\Result getIntegrations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getIntegrationsAsync(array $args = [])
 * @method \AwsWPTC\Result getModel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getModelAsync(array $args = [])
 * @method \AwsWPTC\Result getModelTemplate(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getModelTemplateAsync(array $args = [])
 * @method \AwsWPTC\Result getModels(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getModelsAsync(array $args = [])
 * @method \AwsWPTC\Result getRoute(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getRouteAsync(array $args = [])
 * @method \AwsWPTC\Result getRouteResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getRouteResponseAsync(array $args = [])
 * @method \AwsWPTC\Result getRouteResponses(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getRouteResponsesAsync(array $args = [])
 * @method \AwsWPTC\Result getRoutes(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getRoutesAsync(array $args = [])
 * @method \AwsWPTC\Result getStage(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getStageAsync(array $args = [])
 * @method \AwsWPTC\Result getStages(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getStagesAsync(array $args = [])
 * @method \AwsWPTC\Result getTags(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getTagsAsync(array $args = [])
 * @method \AwsWPTC\Result getVpcLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getVpcLinkAsync(array $args = [])
 * @method \AwsWPTC\Result getVpcLinks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getVpcLinksAsync(array $args = [])
 * @method \AwsWPTC\Result importApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise importApiAsync(array $args = [])
 * @method \AwsWPTC\Result reimportApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise reimportApiAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateApi(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateApiAsync(array $args = [])
 * @method \AwsWPTC\Result updateApiMapping(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateApiMappingAsync(array $args = [])
 * @method \AwsWPTC\Result updateAuthorizer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateAuthorizerAsync(array $args = [])
 * @method \AwsWPTC\Result updateDeployment(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateDeploymentAsync(array $args = [])
 * @method \AwsWPTC\Result updateDomainName(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateDomainNameAsync(array $args = [])
 * @method \AwsWPTC\Result updateIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result updateIntegrationResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateIntegrationResponseAsync(array $args = [])
 * @method \AwsWPTC\Result updateModel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateModelAsync(array $args = [])
 * @method \AwsWPTC\Result updateRoute(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateRouteAsync(array $args = [])
 * @method \AwsWPTC\Result updateRouteResponse(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateRouteResponseAsync(array $args = [])
 * @method \AwsWPTC\Result updateStage(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateStageAsync(array $args = [])
 * @method \AwsWPTC\Result updateVpcLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateVpcLinkAsync(array $args = [])
 */
class ApiGatewayV2Client extends AwsClient {}
