<?php
namespace AwsWPTC\Backup;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **AWS Backup** service.
 * @method \AwsWPTC\Result createBackupPlan(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createBackupPlanAsync(array $args = [])
 * @method \AwsWPTC\Result createBackupSelection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createBackupSelectionAsync(array $args = [])
 * @method \AwsWPTC\Result createBackupVault(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createBackupVaultAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBackupPlan(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBackupPlanAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBackupSelection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBackupSelectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBackupVault(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBackupVaultAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBackupVaultAccessPolicy(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBackupVaultAccessPolicyAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBackupVaultNotifications(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBackupVaultNotificationsAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRecoveryPoint(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRecoveryPointAsync(array $args = [])
 * @method \AwsWPTC\Result describeBackupJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeBackupJobAsync(array $args = [])
 * @method \AwsWPTC\Result describeBackupVault(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeBackupVaultAsync(array $args = [])
 * @method \AwsWPTC\Result describeCopyJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeCopyJobAsync(array $args = [])
 * @method \AwsWPTC\Result describeGlobalSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeGlobalSettingsAsync(array $args = [])
 * @method \AwsWPTC\Result describeProtectedResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeProtectedResourceAsync(array $args = [])
 * @method \AwsWPTC\Result describeRecoveryPoint(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRecoveryPointAsync(array $args = [])
 * @method \AwsWPTC\Result describeRegionSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRegionSettingsAsync(array $args = [])
 * @method \AwsWPTC\Result describeRestoreJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRestoreJobAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateRecoveryPoint(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateRecoveryPointAsync(array $args = [])
 * @method \AwsWPTC\Result exportBackupPlanTemplate(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise exportBackupPlanTemplateAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupPlan(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupPlanAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupPlanFromJSON(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupPlanFromJSONAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupPlanFromTemplate(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupPlanFromTemplateAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupSelection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupSelectionAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupVaultAccessPolicy(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupVaultAccessPolicyAsync(array $args = [])
 * @method \AwsWPTC\Result getBackupVaultNotifications(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getBackupVaultNotificationsAsync(array $args = [])
 * @method \AwsWPTC\Result getRecoveryPointRestoreMetadata(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getRecoveryPointRestoreMetadataAsync(array $args = [])
 * @method \AwsWPTC\Result getSupportedResourceTypes(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getSupportedResourceTypesAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupJobs(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupJobsAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupPlanTemplates(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupPlanTemplatesAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupPlanVersions(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupPlanVersionsAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupPlans(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupPlansAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupSelections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupSelectionsAsync(array $args = [])
 * @method \AwsWPTC\Result listBackupVaults(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listBackupVaultsAsync(array $args = [])
 * @method \AwsWPTC\Result listCopyJobs(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listCopyJobsAsync(array $args = [])
 * @method \AwsWPTC\Result listProtectedResources(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listProtectedResourcesAsync(array $args = [])
 * @method \AwsWPTC\Result listRecoveryPointsByBackupVault(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRecoveryPointsByBackupVaultAsync(array $args = [])
 * @method \AwsWPTC\Result listRecoveryPointsByResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRecoveryPointsByResourceAsync(array $args = [])
 * @method \AwsWPTC\Result listRestoreJobs(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRestoreJobsAsync(array $args = [])
 * @method \AwsWPTC\Result listTags(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsAsync(array $args = [])
 * @method \AwsWPTC\Result putBackupVaultAccessPolicy(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putBackupVaultAccessPolicyAsync(array $args = [])
 * @method \AwsWPTC\Result putBackupVaultNotifications(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putBackupVaultNotificationsAsync(array $args = [])
 * @method \AwsWPTC\Result startBackupJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startBackupJobAsync(array $args = [])
 * @method \AwsWPTC\Result startCopyJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startCopyJobAsync(array $args = [])
 * @method \AwsWPTC\Result startRestoreJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startRestoreJobAsync(array $args = [])
 * @method \AwsWPTC\Result stopBackupJob(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise stopBackupJobAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateBackupPlan(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateBackupPlanAsync(array $args = [])
 * @method \AwsWPTC\Result updateGlobalSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateGlobalSettingsAsync(array $args = [])
 * @method \AwsWPTC\Result updateRecoveryPointLifecycle(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateRecoveryPointLifecycleAsync(array $args = [])
 * @method \AwsWPTC\Result updateRegionSettings(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateRegionSettingsAsync(array $args = [])
 */
class BackupClient extends AwsClient {}
