<?php
namespace AwsWPTC\ConfigService;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with AWS Config.
 *
 * @method \AwsWPTC\Result batchGetAggregateResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchGetAggregateResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result batchGetResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchGetResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result deleteAggregationAuthorization(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteAggregationAuthorizationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConfigurationAggregator(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConfigurationAggregatorAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConfigurationRecorder(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConfigurationRecorderAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConformancePack(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConformancePackAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDeliveryChannel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDeliveryChannelAsync(array $args = [])
 * @method \AwsWPTC\Result deleteEvaluationResults(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteEvaluationResultsAsync(array $args = [])
 * @method \AwsWPTC\Result deleteOrganizationConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteOrganizationConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result deleteOrganizationConformancePack(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteOrganizationConformancePackAsync(array $args = [])
 * @method \AwsWPTC\Result deletePendingAggregationRequest(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deletePendingAggregationRequestAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRemediationConfiguration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRemediationConfigurationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRemediationExceptions(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRemediationExceptionsAsync(array $args = [])
 * @method \AwsWPTC\Result deleteResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRetentionConfiguration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRetentionConfigurationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteStoredQuery(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteStoredQueryAsync(array $args = [])
 * @method \AwsWPTC\Result deliverConfigSnapshot(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deliverConfigSnapshotAsync(array $args = [])
 * @method \AwsWPTC\Result describeAggregateComplianceByConfigRules(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeAggregateComplianceByConfigRulesAsync(array $args = [])
 * @method \AwsWPTC\Result describeAggregateComplianceByConformancePacks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeAggregateComplianceByConformancePacksAsync(array $args = [])
 * @method \AwsWPTC\Result describeAggregationAuthorizations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeAggregationAuthorizationsAsync(array $args = [])
 * @method \AwsWPTC\Result describeComplianceByConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeComplianceByConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result describeComplianceByResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeComplianceByResourceAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigRuleEvaluationStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigRuleEvaluationStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigRules(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigRulesAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigurationAggregatorSourcesStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigurationAggregatorSourcesStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigurationAggregators(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigurationAggregatorsAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigurationRecorderStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigurationRecorderStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeConfigurationRecorders(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConfigurationRecordersAsync(array $args = [])
 * @method \AwsWPTC\Result describeConformancePackCompliance(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConformancePackComplianceAsync(array $args = [])
 * @method \AwsWPTC\Result describeConformancePackStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConformancePackStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeConformancePacks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConformancePacksAsync(array $args = [])
 * @method \AwsWPTC\Result describeDeliveryChannelStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDeliveryChannelStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeDeliveryChannels(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDeliveryChannelsAsync(array $args = [])
 * @method \AwsWPTC\Result describeOrganizationConfigRuleStatuses(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeOrganizationConfigRuleStatusesAsync(array $args = [])
 * @method \AwsWPTC\Result describeOrganizationConfigRules(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeOrganizationConfigRulesAsync(array $args = [])
 * @method \AwsWPTC\Result describeOrganizationConformancePackStatuses(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeOrganizationConformancePackStatusesAsync(array $args = [])
 * @method \AwsWPTC\Result describeOrganizationConformancePacks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeOrganizationConformancePacksAsync(array $args = [])
 * @method \AwsWPTC\Result describePendingAggregationRequests(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describePendingAggregationRequestsAsync(array $args = [])
 * @method \AwsWPTC\Result describeRemediationConfigurations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRemediationConfigurationsAsync(array $args = [])
 * @method \AwsWPTC\Result describeRemediationExceptions(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRemediationExceptionsAsync(array $args = [])
 * @method \AwsWPTC\Result describeRemediationExecutionStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRemediationExecutionStatusAsync(array $args = [])
 * @method \AwsWPTC\Result describeRetentionConfigurations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRetentionConfigurationsAsync(array $args = [])
 * @method \AwsWPTC\Result getAggregateComplianceDetailsByConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAggregateComplianceDetailsByConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result getAggregateConfigRuleComplianceSummary(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAggregateConfigRuleComplianceSummaryAsync(array $args = [])
 * @method \AwsWPTC\Result getAggregateConformancePackComplianceSummary(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAggregateConformancePackComplianceSummaryAsync(array $args = [])
 * @method \AwsWPTC\Result getAggregateDiscoveredResourceCounts(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAggregateDiscoveredResourceCountsAsync(array $args = [])
 * @method \AwsWPTC\Result getAggregateResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getAggregateResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result getComplianceDetailsByConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getComplianceDetailsByConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result getComplianceDetailsByResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getComplianceDetailsByResourceAsync(array $args = [])
 * @method \AwsWPTC\Result getComplianceSummaryByConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getComplianceSummaryByConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result getComplianceSummaryByResourceType(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getComplianceSummaryByResourceTypeAsync(array $args = [])
 * @method \AwsWPTC\Result getConformancePackComplianceDetails(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getConformancePackComplianceDetailsAsync(array $args = [])
 * @method \AwsWPTC\Result getConformancePackComplianceSummary(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getConformancePackComplianceSummaryAsync(array $args = [])
 * @method \AwsWPTC\Result getDiscoveredResourceCounts(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDiscoveredResourceCountsAsync(array $args = [])
 * @method \AwsWPTC\Result getOrganizationConfigRuleDetailedStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getOrganizationConfigRuleDetailedStatusAsync(array $args = [])
 * @method \AwsWPTC\Result getOrganizationConformancePackDetailedStatus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getOrganizationConformancePackDetailedStatusAsync(array $args = [])
 * @method \AwsWPTC\Result getResourceConfigHistory(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getResourceConfigHistoryAsync(array $args = [])
 * @method \AwsWPTC\Result getStoredQuery(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getStoredQueryAsync(array $args = [])
 * @method \AwsWPTC\Result listAggregateDiscoveredResources(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listAggregateDiscoveredResourcesAsync(array $args = [])
 * @method \AwsWPTC\Result listDiscoveredResources(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listDiscoveredResourcesAsync(array $args = [])
 * @method \AwsWPTC\Result listStoredQueries(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listStoredQueriesAsync(array $args = [])
 * @method \AwsWPTC\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \AwsWPTC\Result putAggregationAuthorization(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putAggregationAuthorizationAsync(array $args = [])
 * @method \AwsWPTC\Result putConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result putConfigurationAggregator(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putConfigurationAggregatorAsync(array $args = [])
 * @method \AwsWPTC\Result putConfigurationRecorder(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putConfigurationRecorderAsync(array $args = [])
 * @method \AwsWPTC\Result putConformancePack(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putConformancePackAsync(array $args = [])
 * @method \AwsWPTC\Result putDeliveryChannel(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putDeliveryChannelAsync(array $args = [])
 * @method \AwsWPTC\Result putEvaluations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putEvaluationsAsync(array $args = [])
 * @method \AwsWPTC\Result putExternalEvaluation(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putExternalEvaluationAsync(array $args = [])
 * @method \AwsWPTC\Result putOrganizationConfigRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putOrganizationConfigRuleAsync(array $args = [])
 * @method \AwsWPTC\Result putOrganizationConformancePack(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putOrganizationConformancePackAsync(array $args = [])
 * @method \AwsWPTC\Result putRemediationConfigurations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putRemediationConfigurationsAsync(array $args = [])
 * @method \AwsWPTC\Result putRemediationExceptions(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putRemediationExceptionsAsync(array $args = [])
 * @method \AwsWPTC\Result putResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result putRetentionConfiguration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putRetentionConfigurationAsync(array $args = [])
 * @method \AwsWPTC\Result putStoredQuery(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putStoredQueryAsync(array $args = [])
 * @method \AwsWPTC\Result selectAggregateResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise selectAggregateResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result selectResourceConfig(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise selectResourceConfigAsync(array $args = [])
 * @method \AwsWPTC\Result startConfigRulesEvaluation(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startConfigRulesEvaluationAsync(array $args = [])
 * @method \AwsWPTC\Result startConfigurationRecorder(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startConfigurationRecorderAsync(array $args = [])
 * @method \AwsWPTC\Result startRemediationExecution(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startRemediationExecutionAsync(array $args = [])
 * @method \AwsWPTC\Result stopConfigurationRecorder(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise stopConfigurationRecorderAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 */
class ConfigServiceClient extends AwsClient {}
