<?php
namespace AwsWPTC\CustomerProfiles;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **Amazon Connect Customer Profiles** service.
 * @method \AwsWPTC\Result addProfileKey(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise addProfileKeyAsync(array $args = [])
 * @method \AwsWPTC\Result createDomain(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDomainAsync(array $args = [])
 * @method \AwsWPTC\Result createProfile(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createProfileAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDomain(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDomainAsync(array $args = [])
 * @method \AwsWPTC\Result deleteIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteProfile(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteProfileAsync(array $args = [])
 * @method \AwsWPTC\Result deleteProfileKey(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteProfileKeyAsync(array $args = [])
 * @method \AwsWPTC\Result deleteProfileObject(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteProfileObjectAsync(array $args = [])
 * @method \AwsWPTC\Result deleteProfileObjectType(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteProfileObjectTypeAsync(array $args = [])
 * @method \AwsWPTC\Result getDomain(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDomainAsync(array $args = [])
 * @method \AwsWPTC\Result getIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result getMatches(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getMatchesAsync(array $args = [])
 * @method \AwsWPTC\Result getProfileObjectType(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getProfileObjectTypeAsync(array $args = [])
 * @method \AwsWPTC\Result getProfileObjectTypeTemplate(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getProfileObjectTypeTemplateAsync(array $args = [])
 * @method \AwsWPTC\Result listAccountIntegrations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listAccountIntegrationsAsync(array $args = [])
 * @method \AwsWPTC\Result listDomains(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listDomainsAsync(array $args = [])
 * @method \AwsWPTC\Result listIntegrations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listIntegrationsAsync(array $args = [])
 * @method \AwsWPTC\Result listProfileObjectTypeTemplates(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listProfileObjectTypeTemplatesAsync(array $args = [])
 * @method \AwsWPTC\Result listProfileObjectTypes(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listProfileObjectTypesAsync(array $args = [])
 * @method \AwsWPTC\Result listProfileObjects(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listProfileObjectsAsync(array $args = [])
 * @method \AwsWPTC\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \AwsWPTC\Result mergeProfiles(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise mergeProfilesAsync(array $args = [])
 * @method \AwsWPTC\Result putIntegration(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putIntegrationAsync(array $args = [])
 * @method \AwsWPTC\Result putProfileObject(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putProfileObjectAsync(array $args = [])
 * @method \AwsWPTC\Result putProfileObjectType(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putProfileObjectTypeAsync(array $args = [])
 * @method \AwsWPTC\Result searchProfiles(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise searchProfilesAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateDomain(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateDomainAsync(array $args = [])
 * @method \AwsWPTC\Result updateProfile(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateProfileAsync(array $args = [])
 */
class CustomerProfilesClient extends AwsClient {}
