<?php
namespace AwsWPTC\DirectConnect;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **AWS Direct Connect** service.
 *
 * @method \AwsWPTC\Result acceptDirectConnectGatewayAssociationProposal(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise acceptDirectConnectGatewayAssociationProposalAsync(array $args = [])
 * @method \AwsWPTC\Result allocateConnectionOnInterconnect(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise allocateConnectionOnInterconnectAsync(array $args = [])
 * @method \AwsWPTC\Result allocateHostedConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise allocateHostedConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result allocatePrivateVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise allocatePrivateVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result allocatePublicVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise allocatePublicVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result allocateTransitVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise allocateTransitVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result associateConnectionWithLag(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateConnectionWithLagAsync(array $args = [])
 * @method \AwsWPTC\Result associateHostedConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateHostedConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result associateMacSecKey(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateMacSecKeyAsync(array $args = [])
 * @method \AwsWPTC\Result associateVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result confirmConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise confirmConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result confirmPrivateVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise confirmPrivateVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result confirmPublicVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise confirmPublicVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result confirmTransitVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise confirmTransitVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result createBGPPeer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createBGPPeerAsync(array $args = [])
 * @method \AwsWPTC\Result createConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result createDirectConnectGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDirectConnectGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result createDirectConnectGatewayAssociation(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDirectConnectGatewayAssociationAsync(array $args = [])
 * @method \AwsWPTC\Result createDirectConnectGatewayAssociationProposal(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDirectConnectGatewayAssociationProposalAsync(array $args = [])
 * @method \AwsWPTC\Result createInterconnect(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createInterconnectAsync(array $args = [])
 * @method \AwsWPTC\Result createLag(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createLagAsync(array $args = [])
 * @method \AwsWPTC\Result createPrivateVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createPrivateVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result createPublicVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createPublicVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result createTransitVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createTransitVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result deleteBGPPeer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteBGPPeerAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDirectConnectGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDirectConnectGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDirectConnectGatewayAssociation(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDirectConnectGatewayAssociationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDirectConnectGatewayAssociationProposal(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDirectConnectGatewayAssociationProposalAsync(array $args = [])
 * @method \AwsWPTC\Result deleteInterconnect(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteInterconnectAsync(array $args = [])
 * @method \AwsWPTC\Result deleteLag(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteLagAsync(array $args = [])
 * @method \AwsWPTC\Result deleteVirtualInterface(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteVirtualInterfaceAsync(array $args = [])
 * @method \AwsWPTC\Result describeConnectionLoa(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConnectionLoaAsync(array $args = [])
 * @method \AwsWPTC\Result describeConnections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConnectionsAsync(array $args = [])
 * @method \AwsWPTC\Result describeConnectionsOnInterconnect(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConnectionsOnInterconnectAsync(array $args = [])
 * @method \AwsWPTC\Result describeDirectConnectGatewayAssociationProposals(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDirectConnectGatewayAssociationProposalsAsync(array $args = [])
 * @method \AwsWPTC\Result describeDirectConnectGatewayAssociations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDirectConnectGatewayAssociationsAsync(array $args = [])
 * @method \AwsWPTC\Result describeDirectConnectGatewayAttachments(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDirectConnectGatewayAttachmentsAsync(array $args = [])
 * @method \AwsWPTC\Result describeDirectConnectGateways(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeDirectConnectGatewaysAsync(array $args = [])
 * @method \AwsWPTC\Result describeHostedConnections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeHostedConnectionsAsync(array $args = [])
 * @method \AwsWPTC\Result describeInterconnectLoa(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeInterconnectLoaAsync(array $args = [])
 * @method \AwsWPTC\Result describeInterconnects(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeInterconnectsAsync(array $args = [])
 * @method \AwsWPTC\Result describeLags(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeLagsAsync(array $args = [])
 * @method \AwsWPTC\Result describeLoa(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeLoaAsync(array $args = [])
 * @method \AwsWPTC\Result describeLocations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeLocationsAsync(array $args = [])
 * @method \AwsWPTC\Result describeTags(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeTagsAsync(array $args = [])
 * @method \AwsWPTC\Result describeVirtualGateways(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeVirtualGatewaysAsync(array $args = [])
 * @method \AwsWPTC\Result describeVirtualInterfaces(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeVirtualInterfacesAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateConnectionFromLag(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateConnectionFromLagAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateMacSecKey(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateMacSecKeyAsync(array $args = [])
 * @method \AwsWPTC\Result listVirtualInterfaceTestHistory(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listVirtualInterfaceTestHistoryAsync(array $args = [])
 * @method \AwsWPTC\Result startBgpFailoverTest(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startBgpFailoverTestAsync(array $args = [])
 * @method \AwsWPTC\Result stopBgpFailoverTest(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise stopBgpFailoverTestAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result updateDirectConnectGatewayAssociation(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateDirectConnectGatewayAssociationAsync(array $args = [])
 * @method \AwsWPTC\Result updateLag(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateLagAsync(array $args = [])
 * @method \AwsWPTC\Result updateVirtualInterfaceAttributes(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateVirtualInterfaceAttributesAsync(array $args = [])
 */
class DirectConnectClient extends AwsClient {}
