<?php
namespace AwsWPTC\EventBridge;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **Amazon EventBridge** service.
 * @method \AwsWPTC\Result activateEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise activateEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result cancelReplay(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise cancelReplayAsync(array $args = [])
 * @method \AwsWPTC\Result createApiDestination(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createApiDestinationAsync(array $args = [])
 * @method \AwsWPTC\Result createArchive(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createArchiveAsync(array $args = [])
 * @method \AwsWPTC\Result createConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result createEventBus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createEventBusAsync(array $args = [])
 * @method \AwsWPTC\Result createPartnerEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createPartnerEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result deactivateEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deactivateEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result deauthorizeConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deauthorizeConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteApiDestination(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteApiDestinationAsync(array $args = [])
 * @method \AwsWPTC\Result deleteArchive(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteArchiveAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteEventBus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteEventBusAsync(array $args = [])
 * @method \AwsWPTC\Result deletePartnerEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deletePartnerEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRuleAsync(array $args = [])
 * @method \AwsWPTC\Result describeApiDestination(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeApiDestinationAsync(array $args = [])
 * @method \AwsWPTC\Result describeArchive(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeArchiveAsync(array $args = [])
 * @method \AwsWPTC\Result describeConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result describeEventBus(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeEventBusAsync(array $args = [])
 * @method \AwsWPTC\Result describeEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result describePartnerEventSource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describePartnerEventSourceAsync(array $args = [])
 * @method \AwsWPTC\Result describeReplay(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeReplayAsync(array $args = [])
 * @method \AwsWPTC\Result describeRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRuleAsync(array $args = [])
 * @method \AwsWPTC\Result disableRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disableRuleAsync(array $args = [])
 * @method \AwsWPTC\Result enableRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise enableRuleAsync(array $args = [])
 * @method \AwsWPTC\Result listApiDestinations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listApiDestinationsAsync(array $args = [])
 * @method \AwsWPTC\Result listArchives(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listArchivesAsync(array $args = [])
 * @method \AwsWPTC\Result listConnections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listConnectionsAsync(array $args = [])
 * @method \AwsWPTC\Result listEventBuses(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listEventBusesAsync(array $args = [])
 * @method \AwsWPTC\Result listEventSources(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listEventSourcesAsync(array $args = [])
 * @method \AwsWPTC\Result listPartnerEventSourceAccounts(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listPartnerEventSourceAccountsAsync(array $args = [])
 * @method \AwsWPTC\Result listPartnerEventSources(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listPartnerEventSourcesAsync(array $args = [])
 * @method \AwsWPTC\Result listReplays(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listReplaysAsync(array $args = [])
 * @method \AwsWPTC\Result listRuleNamesByTarget(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRuleNamesByTargetAsync(array $args = [])
 * @method \AwsWPTC\Result listRules(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRulesAsync(array $args = [])
 * @method \AwsWPTC\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \AwsWPTC\Result listTargetsByRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTargetsByRuleAsync(array $args = [])
 * @method \AwsWPTC\Result putEvents(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putEventsAsync(array $args = [])
 * @method \AwsWPTC\Result putPartnerEvents(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putPartnerEventsAsync(array $args = [])
 * @method \AwsWPTC\Result putPermission(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putPermissionAsync(array $args = [])
 * @method \AwsWPTC\Result putRule(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putRuleAsync(array $args = [])
 * @method \AwsWPTC\Result putTargets(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putTargetsAsync(array $args = [])
 * @method \AwsWPTC\Result removePermission(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise removePermissionAsync(array $args = [])
 * @method \AwsWPTC\Result removeTargets(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise removeTargetsAsync(array $args = [])
 * @method \AwsWPTC\Result startReplay(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise startReplayAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result testEventPattern(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise testEventPatternAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateApiDestination(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateApiDestinationAsync(array $args = [])
 * @method \AwsWPTC\Result updateArchive(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateArchiveAsync(array $args = [])
 * @method \AwsWPTC\Result updateConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateConnectionAsync(array $args = [])
 */
class EventBridgeClient extends AwsClient {}
