<?php
namespace AwsWPTC\LocationService;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **Amazon Location Service** service.
 * @method \AwsWPTC\Result associateTrackerConsumer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateTrackerConsumerAsync(array $args = [])
 * @method \AwsWPTC\Result batchDeleteDevicePositionHistory(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchDeleteDevicePositionHistoryAsync(array $args = [])
 * @method \AwsWPTC\Result batchDeleteGeofence(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchDeleteGeofenceAsync(array $args = [])
 * @method \AwsWPTC\Result batchEvaluateGeofences(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchEvaluateGeofencesAsync(array $args = [])
 * @method \AwsWPTC\Result batchGetDevicePosition(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchGetDevicePositionAsync(array $args = [])
 * @method \AwsWPTC\Result batchPutGeofence(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchPutGeofenceAsync(array $args = [])
 * @method \AwsWPTC\Result batchUpdateDevicePosition(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise batchUpdateDevicePositionAsync(array $args = [])
 * @method \AwsWPTC\Result calculateRoute(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise calculateRouteAsync(array $args = [])
 * @method \AwsWPTC\Result createGeofenceCollection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createGeofenceCollectionAsync(array $args = [])
 * @method \AwsWPTC\Result createMap(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createMapAsync(array $args = [])
 * @method \AwsWPTC\Result createPlaceIndex(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createPlaceIndexAsync(array $args = [])
 * @method \AwsWPTC\Result createRouteCalculator(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createRouteCalculatorAsync(array $args = [])
 * @method \AwsWPTC\Result createTracker(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createTrackerAsync(array $args = [])
 * @method \AwsWPTC\Result deleteGeofenceCollection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteGeofenceCollectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteMap(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteMapAsync(array $args = [])
 * @method \AwsWPTC\Result deletePlaceIndex(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deletePlaceIndexAsync(array $args = [])
 * @method \AwsWPTC\Result deleteRouteCalculator(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteRouteCalculatorAsync(array $args = [])
 * @method \AwsWPTC\Result deleteTracker(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteTrackerAsync(array $args = [])
 * @method \AwsWPTC\Result describeGeofenceCollection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeGeofenceCollectionAsync(array $args = [])
 * @method \AwsWPTC\Result describeMap(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeMapAsync(array $args = [])
 * @method \AwsWPTC\Result describePlaceIndex(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describePlaceIndexAsync(array $args = [])
 * @method \AwsWPTC\Result describeRouteCalculator(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeRouteCalculatorAsync(array $args = [])
 * @method \AwsWPTC\Result describeTracker(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeTrackerAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateTrackerConsumer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateTrackerConsumerAsync(array $args = [])
 * @method \AwsWPTC\Result getDevicePosition(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDevicePositionAsync(array $args = [])
 * @method \AwsWPTC\Result getDevicePositionHistory(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDevicePositionHistoryAsync(array $args = [])
 * @method \AwsWPTC\Result getGeofence(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getGeofenceAsync(array $args = [])
 * @method \AwsWPTC\Result getMapGlyphs(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getMapGlyphsAsync(array $args = [])
 * @method \AwsWPTC\Result getMapSprites(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getMapSpritesAsync(array $args = [])
 * @method \AwsWPTC\Result getMapStyleDescriptor(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getMapStyleDescriptorAsync(array $args = [])
 * @method \AwsWPTC\Result getMapTile(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getMapTileAsync(array $args = [])
 * @method \AwsWPTC\Result listDevicePositions(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listDevicePositionsAsync(array $args = [])
 * @method \AwsWPTC\Result listGeofenceCollections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listGeofenceCollectionsAsync(array $args = [])
 * @method \AwsWPTC\Result listGeofences(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listGeofencesAsync(array $args = [])
 * @method \AwsWPTC\Result listMaps(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listMapsAsync(array $args = [])
 * @method \AwsWPTC\Result listPlaceIndexes(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listPlaceIndexesAsync(array $args = [])
 * @method \AwsWPTC\Result listRouteCalculators(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listRouteCalculatorsAsync(array $args = [])
 * @method \AwsWPTC\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \AwsWPTC\Result listTrackerConsumers(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTrackerConsumersAsync(array $args = [])
 * @method \AwsWPTC\Result listTrackers(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTrackersAsync(array $args = [])
 * @method \AwsWPTC\Result putGeofence(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise putGeofenceAsync(array $args = [])
 * @method \AwsWPTC\Result searchPlaceIndexForPosition(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise searchPlaceIndexForPositionAsync(array $args = [])
 * @method \AwsWPTC\Result searchPlaceIndexForText(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise searchPlaceIndexForTextAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 */
class LocationServiceClient extends AwsClient {}
