<?php
namespace AwsWPTC\NetworkManager;

use AwsWPTC\AwsClient;

/**
 * This client is used to interact with the **AWS Network Manager** service.
 * @method \AwsWPTC\Result associateCustomerGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateCustomerGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result associateLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateLinkAsync(array $args = [])
 * @method \AwsWPTC\Result associateTransitGatewayConnectPeer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise associateTransitGatewayConnectPeerAsync(array $args = [])
 * @method \AwsWPTC\Result createConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result createDevice(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createDeviceAsync(array $args = [])
 * @method \AwsWPTC\Result createGlobalNetwork(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createGlobalNetworkAsync(array $args = [])
 * @method \AwsWPTC\Result createLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createLinkAsync(array $args = [])
 * @method \AwsWPTC\Result createSite(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise createSiteAsync(array $args = [])
 * @method \AwsWPTC\Result deleteConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result deleteDevice(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteDeviceAsync(array $args = [])
 * @method \AwsWPTC\Result deleteGlobalNetwork(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteGlobalNetworkAsync(array $args = [])
 * @method \AwsWPTC\Result deleteLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteLinkAsync(array $args = [])
 * @method \AwsWPTC\Result deleteSite(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deleteSiteAsync(array $args = [])
 * @method \AwsWPTC\Result deregisterTransitGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise deregisterTransitGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result describeGlobalNetworks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise describeGlobalNetworksAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateCustomerGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateCustomerGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateLinkAsync(array $args = [])
 * @method \AwsWPTC\Result disassociateTransitGatewayConnectPeer(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise disassociateTransitGatewayConnectPeerAsync(array $args = [])
 * @method \AwsWPTC\Result getConnections(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getConnectionsAsync(array $args = [])
 * @method \AwsWPTC\Result getCustomerGatewayAssociations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getCustomerGatewayAssociationsAsync(array $args = [])
 * @method \AwsWPTC\Result getDevices(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getDevicesAsync(array $args = [])
 * @method \AwsWPTC\Result getLinkAssociations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getLinkAssociationsAsync(array $args = [])
 * @method \AwsWPTC\Result getLinks(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getLinksAsync(array $args = [])
 * @method \AwsWPTC\Result getSites(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getSitesAsync(array $args = [])
 * @method \AwsWPTC\Result getTransitGatewayConnectPeerAssociations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getTransitGatewayConnectPeerAssociationsAsync(array $args = [])
 * @method \AwsWPTC\Result getTransitGatewayRegistrations(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise getTransitGatewayRegistrationsAsync(array $args = [])
 * @method \AwsWPTC\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \AwsWPTC\Result registerTransitGateway(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise registerTransitGatewayAsync(array $args = [])
 * @method \AwsWPTC\Result tagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise tagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result untagResource(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise untagResourceAsync(array $args = [])
 * @method \AwsWPTC\Result updateConnection(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateConnectionAsync(array $args = [])
 * @method \AwsWPTC\Result updateDevice(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateDeviceAsync(array $args = [])
 * @method \AwsWPTC\Result updateGlobalNetwork(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateGlobalNetworkAsync(array $args = [])
 * @method \AwsWPTC\Result updateLink(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateLinkAsync(array $args = [])
 * @method \AwsWPTC\Result updateSite(array $args = [])
 * @method \GuzzleHttpWPTC\Promise\Promise updateSiteAsync(array $args = [])
 */
class NetworkManagerClient extends AwsClient {}
